void Main() {
	NadeoServices::AddAudience("NadeoLiveServices");
	while (!NadeoServices::IsAuthenticated("NadeoLiveServices")) {
		yield();
	}
	if(displayWarningOnBoot) {
		DisplayAlert();
	}
	while(true) {
		if(warningInterval == 0) {
			warningInterval = 1; // to prevent any loop
		}
		sleep(warningInterval * 3600000);
		DisplayAlert();
	}
}

void DisplayAlert() {
	Json::Value data = GetData();
	string currentPenalty = (data["penalty"].GetType() != Json::Type::Null) ? data["penalty"] : "N/A";
	uint currentProgression = data["currentProgression"];
	if(data["inactivity"].GetType() != Json::Type::Null) {
		uint remainingDays = data["inactivity"]["immunityDays"];
		int penaltyToApply = data["inactivity"]["penalty"];
		bool isEnabled = data["inactivity"]["inactivityPenaltyEnabled"];
		if(isEnabled) {
			vec4 color = vec4(0.1, 0.6, 0.1, 1);
			if(remainingDays <= 0) {
				color = vec4(0, 0, 0, 1);
				if(playLoudAlarm) { // disabled by default
					Audio::Play(Audio::LoadSample("sounds/ALARM.wav", true));
				}
			} else if(remainingDays <= 2) {
				color = vec4(0.8, 0.1, 0.1, 1);
				if(playSmallAlarm) { // disabled by default
					Audio::Play(Audio::LoadSample("sounds/ALARAM.wav", true));
				}
			} else if(remainingDays <= 5) {
				color = vec4(0.8, 0.6, 0.1, 1);
			} else if(remainingDays <= 8) {
				color = vec4(0.6, 0.6, 0.1, 1);
			}
			
			UI::ShowNotification(Icons::ExclamationTriangle + " Matchmaking Immunity Days Alert", 
			"You have " + remainingDays + " immunity day(s) left. Remember to queue in a match to regain some.\n" + 
			"Current progression : " + currentProgression + "\n" +
			"Current penalty : " + currentPenalty + "\n"
			"Next penalty : " + penaltyToApply
			, color, 8000);  
                
		}
	}
}